package com.uas.platform.b2b.openapi.model;

import java.io.Serializable;
import java.util.List;

/**
 * 出入库
 * 
 * @author yingp
 * 
 */
public class IO extends Data implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 期初库存
	 */
	private Double beginStock;

	private List<IOItem> in;

	private List<IOItem> out;

	public IO(String brand, String code, String title, String spec, String unit, List<IOItem> in, List<IOItem> out) {
		super();
		setBrand(brand);
		setOrg_item(code);
		setItem_desc(title);
		setItem_spec(spec);
		setItem_unit(unit);
		setIn(in);
		setOut(out);
	}

	public List<IOItem> getIn() {
		return in;
	}

	public void setIn(List<IOItem> in) {
		this.in = in;
	}

	public List<IOItem> getOut() {
		return out;
	}

	public void setOut(List<IOItem> out) {
		this.out = out;
	}

	public Double getBeginStock() {
		return beginStock;
	}

	public void setBeginStock(Double beginStock) {
		this.beginStock = beginStock;
	}

}
